Skip to Content
Webhooks

Send a test event

POST
/developer/webhooks/{id}/test

Queues one webhook.test event to the endpoint, signed like every event. It is sent within a minute; read the result from GET /developer/webhooks/{id}/deliveries. Free.

Authorization

DeveloperKey
headerAuthorizationBearer <gm_live_...>

A GetMattered developer API key, sent as Authorization: Bearer gm_live_....

Path Parameters

id*integer

The webhook endpoint id.

Range0 < value

Response Body

The test event is queued.

application/json
  1. response

Successful API response

data*
meta?
success*true
Value intrue
Example Request
curl -X POST 'https://api.getmattered.com/api/v1/developer/webhooks/1/test'
Example Response
{
  "data": {
    "eventId": "string",
    "queued": true
  },
  "meta": {
    "duration": 0,
    "performance": {
      "dbQueries": 0,
      "totalDbTime": 0
    },
    "requestId": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  },
  "success": true
}